import { ArgumentsHost, ExceptionFilter } from '@nestjs/common';
import { Request, Response } from 'express';
import { ClsService } from 'nestjs-cls';
import { LoggingRepository } from "../repositories/logging.repository";
export declare class GlobalExceptionFilter implements ExceptionFilter<Error> {
    private logger;
    private cls;
    constructor(logger: LoggingRepository, cls: ClsService);
    catch(error: Error, host: ArgumentsHost): void;
    handleError(req: Request, res: Response, error: Error): void;
    private fromError;
}
